commit 5a21f78294624dd7166e1a25a57c805a759dc0d2
Author: Xi Ruoyao <xry111@xry111.site>
Date:   Sat Sep 24 08:45:17 2022

    aarch64: testsuite: disable PIE for fuse_adrp_add_1.c [PR70150]
    
    In PIE, symbol "fixed_regs" is addressed via GOT.  It will break the
    scan-assembler pattern and cause test failure with --enable-default-pie.
    
    gcc/testsuite/ChangeLog:
    
            PR testsuite/70150
            * gcc.target/aarch64/fuse_adrp_add_1.c (dg-options): Add
            -fno-pie.
    
    (cherry picked from commit 7e8a3dbbb26f66ce8ea60be48962022b5fb2ef55)

diff --git a/gcc/testsuite/gcc.target/aarch64/fuse_adrp_add_1.c b/gcc/testsuite/gcc.target/aarch64/fuse_adrp_add_1.c
index e49aadaa639..d66fe3a4b23 100644
--- a/gcc/testsuite/gcc.target/aarch64/fuse_adrp_add_1.c
+++ b/gcc/testsuite/gcc.target/aarch64/fuse_adrp_add_1.c
@@ -1,6 +1,6 @@
 /* { dg-do compile } */
 /* { dg-require-effective-target aarch64_small } */
-/* { dg-options "-O3 -mcpu=cortex-a57" } */
+/* { dg-options "-O3 -mcpu=cortex-a57 -fno-pie" } */
 
 enum reg_class { NO_REGS, AP_REG, XRF_REGS, GENERAL_REGS, AGRF_REGS,
                  XGRF_REGS, ALL_REGS, LIM_REG_CLASSES };

